View Issue Details

IDProjectCategoryView StatusLast Update
0001607Far ManagerCopy/Movepublic2013-01-15 12:47
ReporterccaidAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows Server EnterpriseOS Version2003 SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001607: ошибка установки времени при копировании на свою шару
Description[ ] Use system copy routine
TagsNo tags attached.
Build2745

Activities

ccaid

2010-11-28 10:51

reporter   bugnote:0005993

не тот энтер нажал :) отредактировать вроде бы нельзя, поэтому дописываю здесь.

расшариваем папку (ntfs), на одной из панелей открываем эту папку через ее шару. в случае полного отключения плагинов шаре надо назначить букву и обращаться через букву. поскольку отключение плагинов не помогает, то можно и через unc. оба варианта обращения к шаре приводят к проблеме.
копируем в папку какой-либо файл, можно с локального ресурса, можно с сетевого, неважно. время модификации у новой копии файла устанавливается текущим, а не от исходной копии.
поставил сверхчистый эксперимент. на virtualbox сделал свежую инсталляцию, только накатил гостевые дополнения, в папку far2 положил всего два файла (exe, lng) из b1726, запустил на девственном реестре, поправил вышеуказанный флажок, шару сделал из папки wmpub и подключил к букве. проблема есть.
но есть нюанс, как показало более широкое копирование. из тех файлов, что по умолчанию лежат в корне, проблема возникла только у boot.ini, в папке windows большинство проблемные, и только примерно десяток скопировался с правильным временем.
под XP или 2000 такой проблемы не наблюдается.

обсуждение:
http://forum.farmanager.com/viewtopic.php?f=9&t=5910

2useven10

2012-06-22 17:44

developer   bugnote:0009352

Last edited: 2012-06-22 17:46

View 2 revisions

похоже M$ bug...
http://www.microsoftfaqs.com/msg/1474103.aspx

2useven10

2012-06-22 17:49

developer   bugnote:0009353

build 2745

DrKnS

2012-06-22 18:02

administrator   bugnote:0009354

Может как-то помягче, а не для всего, попадающего под _WIN32_WINNT_WS03?

У них же там написано, что "indeed it works fine under 2003 unless Shadow Copy has been enabled for the drive."

2useven10

2012-06-22 18:12

developer   bugnote:0009355

Last edited: 2012-06-22 18:45

View 4 revisions

наверное можно.
и ещё возможно правильнее выяснять версию сервера а не своего компа...
но на сегодня я точно пас.
если есть желание ... :)

add: да и довесок imho не такой тяжёлый...

Issue History

Date Modified Username Field Change
2010-11-28 10:42 ccaid New Issue
2010-11-28 10:51 ccaid Note Added: 0005993
2012-06-22 17:44 2useven10 Note Added: 0009352
2012-06-22 17:46 2useven10 Note Edited: 0009352 View Revisions
2012-06-22 17:49 2useven10 Note Added: 0009353
2012-06-22 17:49 2useven10 Assigned To => 2useven10
2012-06-22 17:49 2useven10 Status new => feedback
2012-06-22 18:02 DrKnS Note Added: 0009354
2012-06-22 18:12 2useven10 Note Added: 0009355
2012-06-22 18:15 2useven10 Note Edited: 0009355 View Revisions
2012-06-22 18:43 2useven10 Note Edited: 0009355 View Revisions
2012-06-22 18:45 2useven10 Note Edited: 0009355 View Revisions
2013-01-15 12:47 2useven10 Build => 2745
2013-01-15 12:47 2useven10 Status feedback => closed
2013-01-15 12:47 2useven10 Resolution open => fixed
2013-01-15 12:47 2useven10 Fixed in Version => 3.0